.sso-page {
  @extend %flex-column;
  @extend %scroll-bar;
  background-color: #F4FAFF;
  justify-content: space-between;
  min-height: 100vh;
  font-family: 'Roboto', sans-serif;
  margin: 0;
  padding: 0;
  font-size: $sso-font-size-base;
  line-height: $sso-line-height-base;
  color: $sso-color-body;
  h1, h2, h3, h4, h5, h6 {
    line-height: 1.2;
    margin: 0 0 5px 0;
  }
  h2 {
    font-size: 35px;
  }
  .container {
    position: relative;
    z-index: 1;
    margin: 0 auto;
    padding-left: 15px;
    padding-right: 15px;
    max-width: 1330px;
    width: 100%;
  }
}

.sso-title-sub {
  margin: 0;
  font-size: 17px;
}

.sso-main {
  flex: 1;
}

.sso-login {
  min-height: calc(100vh - 80px);
  padding-top: 20px;
  padding-bottom: 20px;
  position: relative;
  &:before {
    content: '';
    @include position-top-left(0, 0);
    @include size(100%);
    background-size: cover;
    background-repeat: no-repeat;
    background-image: url("../images/sso-bg-1.jpg");
  }
}

.sso-form {
  margin-top: 25px;
}

.sso-login-form {
  @include border-radius($sso-border-radius);
  background-color: #fff;
  padding: 35px 40px;
  width: 100%;
  max-width: 640px;
  @include breakpoints(max-lg) {
    margin: 0 auto;
  }
  @include breakpoints(max-xs) {
    padding: 20px;
  }
}

.sso-form-or {
  a {
    &:not(:hover) {
      color: #4F4F4F;
    }
    + a {
      margin-left: 20px;
      padding-left: 20px;
      border-left: 1px solid #BDBDBD;
    }
  }
  &.sso-border {
    position: relative;
    &:before {
      content: '';
      @include position-top-left(50%, 0);
      @include size(100%, 1px);
      transform: translateY(-50%);
      background-color: #C4C4C4;
    }
    span {
      background-color: #fff;
      padding: 0 20px;
      color: #C4C4C4;
      z-index: 1;
    }
  }
}

.sso-login-images {
  position: relative;
  right: -70px;
  @include breakpoints(max-lg) {
    display: none;
  }
}

.sso-login-main {
  @include breakpoints(max-lg) {
    flex-wrap: wrap;
  }
}

.sso-question {
  color: #BCBEC0;
}